1. Hours Of Service
OPEN API
  • Organization Info
    • Get information about your organization
      GET
  • Drivers
    • List all drivers
      GET
    • Retrieve a driver
      GET
  • Hours Of Service
    • Get HOS clocks
      GET
    • Get all driver HOS daily logs
      GET
    • Get HOS logs
      GET
  • Vehicles
    • List all vehicles
      GET
    • Retrieve a vehicle
      GET
  • Assets
    • List Assets
      GET
    • Get Asset
      GET
    • Latest Asset Locations
      GET
  • Fault Codes
    • List Fault Code Events
      GET
  • Vehicle Locations
    • Historical Vehicle Locations
      GET
    • Latest Vehicle Locations
      GET
  • Trips
    • Get Vehicle Trips
      GET
  • Vehicle Stats
    • Vehicle Stats snapshot
      GET
  • Maintenance
    • Get all DVIRs
      GET
  • IFTA
    • Get IFTA jurisdiction reports
      GET
  • Safety
    • List Safety Events
    • Get Safety Event
    • Get Last Snapshot
    • Get Live Snapshot
  • Webhook
    • Sample Webhook request for specific trigger
    • Subscribe to specific immediately events
    • Available list of Triggers
    • Unsubscribe form events
  • Schemas
    • Schemas
      • CompanyResponse
      • DriverResponse
      • TimezoneEnum
      • TripLocation
      • TripStartEnd
      • VehicleResponse
    • AvailableTime
    • Asset
    • CompanyDetail
    • AssetLocationItem
    • AssetsResponse
    • CurrentStatusEnum
    • DVIRList
    • Driver
    • DVIRTrailerDefects
    • DriverLicense
    • DVIRVehicle
    • DVIRVehicleDefects
    • HosDailyLogs
    • HosDailyLogsResponse
    • HosLogsResponse
    • ForVehicleLocationResponse
    • LicensePlate
    • Location
    • PaginatedDriverList
    • IFTAItem
    • FaultCodeEvent
    • PaginatedHosLogsResponseList
    • IFTAReport
    • PaginatedTripResponseList
    • PaginatedVehicleList
    • PaginatedVehicleLocationResponseList
    • OpenAPIWebhookSubscribeRequest
    • HosLogAddress
    • Response
    • OpenAPIWebhookUnsubscribeRequest
    • HosLogLocation
    • Result
    • StatusEnum
    • PaginatedDVIRListList
    • StatusDurations
    • VehicleRoute
    • PaginatedIFTAReportList
    • PaginatedForVehicleLocationResponseList
    • TripResponse
    • VehicleRouteLocation
    • VehicleRouteStartEnd
    • NullEnum
    • Vehicle
    • VehicleSResponse
    • VehicleLocationResponse
    • VehicleStats
    • PaginatedWebhookTriggerList
    • PaginatedAssetLocationItemList
    • PaginatedFaultCodeEventList
    • WebhookTrigger
    • SafetyEvent
    • SafetyEventsResponse
    • SafetySnapshot
    • SafetySnapshotParamsRequest
    • TypeEnum
  1. Hours Of Service

Get all driver HOS daily logs

GET
https://api.firsteld.com/openapi/hos/daily-logs/
Get summarized daily Hours of Service charts for the specified drivers.

Request

Query Params

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.firsteld.com/openapi/hos/daily-logs/?startDate&endDate&driverIds'
Response Response Example
{
    "results": [
        {
            "driver": "660e8400-e29b-41d4-a716-446655440001",
            "date": "2024-01-15",
            "statusDurations": {
                "onDuty": 28800000,
                "offDuty": 21600000,
                "driving": 25200000,
                "waiting": 0,
                "sleepingBed": 21600000,
                "personalConveyance": 0,
                "yardMove": 0
            },
            "address": {
                "formatted": "1.5 miles from Austin, TX",
                "location": {
                    "longitude": -97.7431,
                    "latitude": 30.2672
                }
            }
        }
    ]
}
Modified at 2026-03-03 20:51:36
Previous
Get HOS clocks
Next
Get HOS logs
Built with